from setuptools import setup, find_packages

setup(
    name='pyhold',  
    version='0.2.1',
    packages=find_packages(include=['pyhold', 'pyhold.*']),
    install_requires=[],
    author='Anjan Bellamkonda',
    description='A lightweight, persistent data store with dictionary, key-value, and linked list support with GUI',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    url='https://github.com/AnjanB3012/pyhold',
    keywords=['persistent', 'storage', 'key-value', 'linked-list', 'gui', 'xml', 'data-store'],
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
        'Programming Language :: Python :: 3.12',
        'Topic :: Database',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Topic :: System :: Archiving',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.7',
)